<div class="row">
  <div class="card text-white bg-primary cardCustom" style="max-width: 18rem;" *ngFor="let idea of ideasList" dnd-draggable
    [dragEnabled]="true" [dragData]="idea">
    <div class="card-header">TITRE : {{idea.titre}}</div>
    <div class="card-body">
      <p class="card-text">
        GENRE : {{idea.genre}}<br>
        EMOTION : {{idea.emotions}}<br>
        ROLES : {{idea.roles}}<br>
        PHRASE SYNOPSIS : {{idea.phraseSynopsis}}
      </p>
    </div>
  </div>
</div>


<div>
  <div dnd-droppable class="row panel-receive" (onDropSuccess)="transferDataSuccess($event)">
      <p>-</p>
      <div class="card text-white bg-dark cardCustom" style="max-width: 18rem;" *ngFor="let object of receivedData">
        <div class="card-header">TITRE : {{object.titre}}</div>
        <div class="card-body">
          <p class="card-text">
            GENRE : {{object.genre}}<br>
            EMOTION : {{object.emotions}}<br>
            ROLES : {{object.roles}}<br>
            PHRASE SYNOPSIS : {{object.phraseSynopsis}}
          </p>
          <button class="btn btn-success" (click)="revert(object)" >Revert</button>
        </div>
      </div>
  </div>
</div>



<div>
  <label>Personnage</label>
  <select class="form-control" name="genre" required>
    <option *ngFor="let pers of personnasList" [value]="pers.id">{{pers.firstname}}</option>
  </select>
</div>

<button type="button" class="btn btn-primary" (click)="addIdea()">Submit</button>